;;;; cl-scopes/lib/auth/test/config
;;;; use: `(let ((t:*current-system* :scopes-auth) ...)
;;;;        `(load (t:test-path "config" "etc")))` 
;;;; from scopes-auth/test

(in-package :scopes-auth/test)

(config:root 
  :env-keys '(:address :port :db-name :db-user :db-password
              :admin-login :admin-password)
  :env-path (t:test-path ".test.env"))

(config:add :logger :class 'logging:config
  :loglevel :info
  :logfile (t:test-path "scopes-test.log" "log")
  :console nil)

(config:add :auth :class 'auth:config
  :setup #'auth:setup
  :admin-credentials `(:login ,(config:from-env :admin-login "admin")
                       :password ,(config:from-env :admin-password "secret")))

(config:add :server :class 'server:config
  :port "8899"
  :routes 
    `((("hx") server:message-handler :html-responder cs-hx:response)
      (() server:fileserver 
          :doc-root ,(t:test-path "" "docs"))))
(config:add-action '(:auth :login) #'auth:login)

(config:add :client :class 'client:config
  :base-url "http://localhost:8899"
  :doc-path "/" :api-path "/hx/")
